apiVersion: operators.coreos.com/v1alpha1
kind: ClusterServiceVersion
metadata:
  annotations:
    alm-examples: '[]'
    capabilities: Seamless Upgrades
    categories: Monitoring
    certified: "false"
    containerImage: INSERT-CONTAINER-IMAGE
    createdAt: "0001-01-01T00:00:00Z"
    description: A Golang-based OpenShift Operator that generates and uploads OpenShift
      usage metrics to cost management.
    operatorframework.io/suggested-namespace: costmanagement-metrics-operator
    operators.openshift.io/infrastructure-features: '["Disconnected"]'
    operators.operatorframework.io/builder: operator-sdk-v0.19.4
    operators.operatorframework.io/project_layout: go.kubebuilder.io/v2
    repository: https://github.com/project-costmanagement/costmanagement-metrics-operator
    support: Cost Management
  name: costmanagement-metrics-operator.vX.Y.Z
  namespace: placeholder
spec:
  apiservicedefinitions: {}
  customresourcedefinitions:
    owned:
    - description: CostManagementMetricsConfig is the Schema for the costmanagementmetricsconfig API
      kind: CostManagementMetricsConfig
      name: costmanagementmetricsconfigs.costmanagement-metrics-cfg.openshift.io
      version: v1beta1
  description: INSERT-DESCRIPTION
  displayName: CostManagement Metrics Operator
  icon:
  - base64data: [encoded data, 6612 characters]
    mediatype: image/svg+xml
  install:
    spec:
      deployments: null
    strategy: ""
  installModes:
  - supported: true
    type: OwnNamespace
  - supported: true
    type: SingleNamespace
  - supported: false
    type: MultiNamespace
  - supported: false
    type: AllNamespaces
  keywords:
  - cost
  - management
  - usage
  - monitor
  maintainers:
  - email: costmanagement@redhat.com
    name: costmanagement
  maturity: alpha
  provider:
    name: Red Hat
  version: 0.0.0
